<?php


namespace app\admin\controller\consultant;


use app\admin\service\consultant\CustomService;
use app\admin\validate\consultant\MarketCustomerValidate;
use app\controller\Curd;
use app\model\MarketCustomer;
use support\Request;

class CustomController extends Curd
{
    public function __construct()
    {
        $this->model = new MarketCustomer();
        $this->validate = true;
        $this->validateClass = new MarketCustomerValidate();
    }

    /**
     * Notes: 获取选项配置信息
     * User: yb
     * Date: 2024/8/5
     * Time: 15:35
     */
    public function getOptionConfig()
    {
        return json_success('请求成功', CustomService::config());
    }

    /**
     * Notes: 新增客户
     * User: yb
     * Date: 2024/8/6
     * Time: 11:19
     */
    public function addCustom(Request $request)
    {
        $params = $request->post();
        if ($this->validate && !$this->validateClass->scene('add')->check($params)) {
            return json_fail($this->validateClass->getError());
        }
        return CustomService::add($params);
    }
}